Hosts view returns Infinity 
Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The hosts view returns the error "infinity" on any view that has results. If the query given returns no results the page is displayed

properly. This occurred once hosts started reporting their status to Foreman. Attached is a full debug from the page request. Up to

date from development repository as of this morning.

History

#1 - 08/01/2012 07:11 AM - Ohad Levy

can you also please include the search query used? (I didnt see it in the request)

also, can you provide more info about foreman version, ruby version etc?

#2 - 08/01/2012 07:15 AM - Karl  Vollmer

The query is the default which clicking on the "hosts" link in the main interface, (no filter).

Foreman Version is up to date development git ( https://github.com/theforeman/foreman.git )

Ruby - ruby 1.8.7 (2010-01-10 patchlevel 249) [x86_64-linux]

Ruby Gems

*** LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.2.6)

actionpack (3.2.6)

activemodel (3.2.6)

activerecord (3.2.6)

activeresource (3.2.6)

activesupport (3.2.6)

arel (3.0.2)

builder (3.0.0)

bundle (0.0.1)

bundler (1.1.5)

daemon_controller (1.0.0)

erubis (2.7.0)

facter (1.6.10)

fastthread (1.0.7)

file-tail (1.0.10)

hike (1.2.1)

i18n (0.6.0)

journey (1.0.4)

json (1.7.3)

mail (2.4.4)

mime-types (1.19)

multi_json (1.3.6)

passenger (3.0.13)

polyglot (0.3.3)

rack (1.4.1)

rack-cache (1.2)

rack-mount (0.6.14)

rack-ssl (1.3.2)

rack-test (0.6.1)
rails (3.2.6)

railties (3.2.6)

rake (0.9.2.2)

rdoc (3.12)

redcarpet (2.1.1, 1.17.2)

rubygems-update (1.8.24)

sprockets (2.4.5, 2.1.3)

spruz (0.2.13)

thor (0.15.4)

tilt (1.3.3)

tins (0.5.0)

treetop (1.4.10)

tzinfo (0.3.33)

#3 - 08/03/2012 06:25 AM - Karl  Vollmer

Wiping the database and starting with a fresh install has corrected this issue, I have the sqlite DB from this (broken?) install still if there is any interest.

#4 - 08/10/2012 10:52 AM - Sam Kottler

- Status changed from New to Closed

Feel free to post the database for debugging. I am going to close this out, though, since the immediate issue has been corrected.
